#ifndef _ACAP_PARSER_H
#define _ACAP_PARSER_H

#include "acap_options.h"

/* get rid of this */
#include <stdio.h>

typedef enum {ParseNext, ParseBad, SessionDone, MoreToCome} ParseResult;

typedef struct {
  ParseResult result;
  char *outstr;
} ParseReturn;

void
acapParseInit();

ParseReturn
acapParse(char *buf);

ParseReturn
parseNew();

ParseReturn
parseNoop();

ParseReturn
parseAuth();

ParseReturn
parseStore();

ParseReturn
parseSearch();

ParseReturn
parseLogout();

ParseReturn
parseDebugLogin();

#endif
